d3.csv('https://gist.githubusercontent.com/sampath5/482bd67375f1a0710743df4c28aa9aa2/raw/e78181f23de1b8feb95b95edd6bc251ebae29ad0/Mobiles.csv', 
      function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'battery_power'), y: unpack(rows, 'clock_speed'), z: unpack(rows, 'int_memory'), //3 axis labels
	mode: 'markers',
	marker: {
		size: 12,  //datapoint size
    color: '#99b898', //datapoint color
		line: {
		color: 'rgba(125, 249, 255, 2.14)', //datapoint border color
		width: 0.5}, //datapoint width
		opacity: 0.8,
    
  },
	type: 'scatter3d'
};
 
var data = [trace1];
var layout = {
   margin: { // left,bottom,top,right margins for chart
	l: 30,
	r: 30,
	b: 30,
	t: 30}, 
  title: "Mobile battery vs memory", //title of the chart
  scene: {
    xaxis: {
      title: 'battery_power',  //x axis lable
      titlefont: {
        color: 'yellow',  //x axis label color
        family: 'Arial, Open Sans',
        size: 12
      }
     
    },
    yaxis: {
      title: 'clock_speed',  //Y axis label 
      titlefont: {
        color: 'green', //y axis label color
        family: 'Arial, Open Sans',
        size: 12
      }
    },
    zaxis: {
      title: 'int_memory', //Z axis label
      titlefont: {
        color: 'black', //Z axis label color
        family: 'Arial, Open Sans',
        size: 12
      }
    }
  }
  };
Plotly.newPlot('myDiv', data, layout);
});
